Cluster Principal Assignments - Get
取得 Kusto 叢集 principalAssignment。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2025-02-14
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string pattern: ^.*$ |
Kusto 叢集的名稱。 |
|
principal
|
path | True |
string pattern: ^.*$ |
Kusto principalAssignment 的名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
subscription
|
path | True |
string minLength: 1 |
目標訂用帳戶的標識碼。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 運作順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
KustoClusterPrincipalAssignmentsGet
範例要求
GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2025-02-14
範例回覆
{
"name": "kustoCluster/kustoprincipal1",
"type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
"id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
"properties": {
"aadObjectId": "98765432-1234-1234-1234-123456789123",
"principalId": "87654321-1234-1234-1234-123456789123",
"principalName": "TestApp",
"principalType": "App",
"provisioningState": "Succeeded",
"role": "AllDatabasesAdmin",
"tenantId": "12345678-1234-1234-1234-123456789123",
"tenantName": "tenantName"
}
}
定義
| 名稱 | Description |
|---|---|
|
Cluster |
代表一個群聚主要作業的班級。 |
|
Cluster |
叢集主體角色。 |
|
created |
建立資源的身分識別類型。 |
|
Error |
資源管理錯誤其他資訊。 |
|
Error |
錯誤詳細數據。 |
|
Error |
錯誤回應 |
|
Principal |
主體類型。 |
|
Provisioning |
資源的布建狀態。 |
|
system |
與建立和上次修改資源相關的元數據。 |
ClusterPrincipalAssignment
代表一個群聚主要作業的班級。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
資源的名稱 |
| properties.aadObjectId |
string |
AAD (Azure active directory) 中的 The service principal object id |
| properties.principalId |
string |
指派給叢集主體的主體標識碼。 它可以是使用者電子郵件、應用程式識別碼或安全組名稱。 |
| properties.principalName |
string |
主要名稱 |
| properties.principalType |
主體類型。 |
|
| properties.provisioningState |
資源的布建狀態。 |
|
| properties.role |
叢集主體角色。 |
|
| properties.tenantId |
string |
主體的租用戶標識碼 |
| properties.tenantName |
string |
委託人的租戶姓名 |
| systemData |
包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。 |
|
| type |
string |
資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts” |
ClusterPrincipalRole
叢集主體角色。
| 值 | Description |
|---|---|
| AllDatabasesAdmin |
AllDatabasesAdmin |
| AllDatabasesViewer |
AllDatabasesViewer |
| AllDatabasesMonitor |
AllDatabasesMonitor |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
其他資訊。 |
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |
PrincipalType
主體類型。
| 值 | Description |
|---|---|
| App |
應用程式 |
| Group |
Group |
| User |
使用者 |
ProvisioningState
資源的布建狀態。
| 值 | Description |
|---|---|
| Running |
Running |
| Creating |
建立中 |
| Deleting |
刪除中 |
| Succeeded |
成功 |
| Failed |
失敗 |
| Moving |
㶛 |
| Canceled |
已取消 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的資源時間戳 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |